net.minecraft.item.crafting

## Class FurnaceRecipes

- java.lang.Object
- - net.minecraft.item.crafting.FurnaceRecipes

-     public class FurnaceRecipes
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSmelting(int itemID, int metadata, ItemStack itemstack, float experience)` A metadata sensitive version of adding a furnace recipe.
    `void` | `addSmelting(int par1, ItemStack par2ItemStack, float par3)` Adds a smelting recipe.
    `float` | `getExperience(int par1)` Deprecated.
    `float` | `getExperience(ItemStack item)` Grabs the amount of base experience for this item to give when pulled from the furnace slot.
    `Map<List<Integer>,ItemStack>` | `getMetaSmeltingList()`
    `Map` | `getSmeltingList()`
    `ItemStack` | `getSmeltingResult(int par1)` Deprecated.
    `ItemStack` | `getSmeltingResult(ItemStack item)` Used to get the resulting ItemStack form a source ItemStack
    `static FurnaceRecipes` | `smelting()` Used to call methods addSmelting and getSmeltingResult.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### smelting

          public static final FurnaceRecipes smelting()

      Used to call methods addSmelting and getSmeltingResult.

    - #### addSmelting

          public void addSmelting(int par1,
                         ItemStack par2ItemStack,
                         float par3)

      Adds a smelting recipe.

    - #### getSmeltingResult

          @Deprecated
          public ItemStack getSmeltingResult(int par1)

      Deprecated.
      Returns the smelting result of an item. Deprecated in favor of a metadata sensitive version

    - #### getSmeltingList

          public Map getSmeltingList()

    - #### getExperience

          @Deprecated
          public float getExperience(int par1)

      Deprecated.

    - #### addSmelting

          public void addSmelting(int itemID,
                         int metadata,
                         ItemStack itemstack,
                         float experience)

      A metadata sensitive version of adding a furnace recipe.

    - #### getSmeltingResult

          public ItemStack getSmeltingResult(ItemStack item)

      Used to get the resulting ItemStack form a source ItemStack
      Parameters:
        `item` - The Source ItemStack
      Returns:
        The result ItemStack

    - #### getExperience

          public float getExperience(ItemStack item)

      Grabs the amount of base experience for this item to give when pulled from the furnace slot.

    - #### getMetaSmeltingList

          public Map<List<Integer>,ItemStack> getMetaSmeltingList()